﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public static class GameObjectTextExtension
{
    public static GameObject FloatText(this GameObject o, string s)
    {
        return FloatingTextManager.Instance().CreateFloatingText(o, s);
    }
}

public class FloatingTextManager : MonoBehaviour {

    public GameObject Prefab = null;
    public GameObject CreateFloatingText(GameObject obj, string s)
    {
        GameObject result = null;
        if (obj != null)
        {
            result = GameObject.Instantiate(Prefab, obj.transform.position, Quaternion.identity) as GameObject;

            result.GetComponentInChildren<Text>().text = s;
        }

        return result;

    }
    private static FloatingTextManager _instance;
    public static FloatingTextManager Instance()
    {
        if (_instance == null)
            _instance = new FloatingTextManager();

        return _instance;
    }

    public FloatingTextManager()
    {
        if (_instance == null)
        {
            _instance = this;
        }
    }

    void Awake()
    {
        if (_instance == null)
        {
            _instance = this;
            DontDestroyOnLoad(this);
        }
        else
        {
            if (this != _instance)
                Destroy(this.gameObject);
        }
    }

    // Use this for initialization
    void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
