﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class TimeWatcher : MonoBehaviour {

    public float TimeLimit = 180f;
	// Use this for initialization
	void Start () {
        PlayerStats.GetInstance().StartNewRound();
        HUDManager.GetInstance().UpdateCandyDisplays();

        Invoke("SayGoodbye", 1f);
    }

    void SayGoodbye()
    {
        GameObject homeObj = GameObject.FindGameObjectWithTag("Home");

        if (homeObj != null)
        {
            GameObject loveText = homeObj.FloatText("Bye my little Monster!\n I love you!\nBe Home by 9:00PM!");
            Text t = loveText.GetComponentInChildren<Text>();
            if (t != null)
            {
                t.color = new Color(0.9f, 0.7f, 0.4f);
                t.fontSize -= 6;
            }

            FloatingText ft = loveText.GetComponent<FloatingText>();
            ft.FadeTime = 5.0f;
            ft.Drift = new Vector3(0.0f, 0.1f, 0.0f);

            loveText.transform.position += new Vector3(0.0f, -3.0f, 0.0f);
        }
    }
	
	// Update is called once per frame
	void Update () {
        float endTime = TimeLimit + (PlayerStats.GetInstance().HasUpgrade(CandyUpgrade.Flashlight) ? 30f : 0f);
        if (Time.timeSinceLevelLoad > endTime)
        {
            Application.LoadLevel("upgradeScene");
        }

        if (Time.timeSinceLevelLoad > endTime - 30f)
        {
            // 30 second warning!
            HUDManager.GetInstance().SetClockColor(new Color(0.9f, 0.1f, 0.1f));
        }
        else
        {
            HUDManager.GetInstance().SetClockColor(new Color(0.1f, 0.9f, 0.1f));
        }


    }
}
